/*
** pat_ipproto.h for  in 
** 
** Made by 
** Login   <vianney@epita.fr>
** 
** Started on  Wed Sep  1 06:48:42 1999 
** Last update Thu Oct 28 20:21:16 1999 
*/
#ifndef PAT_IPPROTO_H
#define PAT_IPPROTO_H	1

#include "pat.h"

extern t_assoc		ipproto_assocs[];

extern t_pat		ipproto_pat;	

/* PROTO pat_ipproto.c */
/* pat_ipproto.c */
int proto_from_str P((char *str, t_boolean resolve));
t_status proto_to_str P((int proto, char *str, int max_len, t_boolean resolve));
t_status ipproto_pat_name P((void *data, t_id *optional_id, char *str, int max_len));
t_status ipproto_pat_extract P((void *data, char *buf, int len, char *str, int max_len));
t_status ipproto_pat_insert P((void *data, char *buf, int len, char *value));
t_status ipproto_pat_get_choices P((void *data, char *buf, int len, t_vec *vec_str, t_boolean *do_sort_return));
#endif
